#*******************************************************************************
#Licensed Materials - Property of IBM
#(c) Copyright IBM Corporation 2006-2008. All Rights Reserved.
#
#Note to U.S. Government Users Restricted Rights:  
#Use, duplication or disclosure restricted by GSA ADP Schedule 
#Contract with IBM Corp. 
#*******************************************************************************
#!/bin/sh
# Jazz RepoTools Launcher

pwd | grep -q "[[:space:]]"
if [ $? -eq 0 ];
  then /bin/echo -e \
ERROR:  The Jazz Team Server may not be installed in a directory whose name \\n\
contains a space character.  Please relocate the jazz directory and try again.
  exit 1
fi

START_DIR=$(dirname "$0")

ORACLE_ABSPATH="`cd \"$START_DIR\" 2>/dev/null && pwd || echo \"$START_DIR\"`/oracle"
DB2I_ABSPATH="`cd \"$START_DIR\" 2>/dev/null && pwd || echo \"$START_DIR\"`/db2i"
DB2Z_ABSPATH="`cd \"$START_DIR\" 2>/dev/null && pwd || echo \"$START_DIR\"`/db2z"

#DEFINE="$DEFINE -Dcom.ibm.team.repotools.rcp.allowInvalidBundles=true"
DEFINE="$DEFINE -Dcom.ibm.team.repository.provision.profile=$START_DIR/provision_profiles"
DEFINE="$DEFINE -Dorg.eclipse.emf.ecore.plugin.EcorePlugin.doNotLoadResourcesPlugin=true"
DEFINE="$DEFINE -Djava.awt.headless=true"
DEFINE="$DEFINE -DORACLE_JDBC=$ORACLE_ABSPATH"
DEFINE="$DEFINE -DDB2I_JDBC=$DB2I_ABSPATH"
DEFINE="$DEFINE -DDB2Z_JDBC=$DB2Z_ABSPATH"
    
JAVA="$START_DIR/linux/ibm-java2-i386-50/jre/bin/java"
LAUNCHER=org.eclipse.equinox.launcher_1.0.1.R33x_v20080118.jar         
JAR="$START_DIR/../repotools/eclipse/plugins/$LAUNCHER"
APPLICATION=com.ibm.team.repotools.rcp.repotools_application
    
$JAVA -Xmx512M $DEFINE -jar $JAR -application $APPLICATION $* 
